import { FormatOptions } from './FormatOptions.js';
import { DialectOptions } from './dialect.js';
export declare const formatters: {
    bigquery: DialectOptions;
    db2: DialectOptions;
    hive: DialectOptions;
    mariadb: DialectOptions;
    mysql: DialectOptions;
    n1ql: DialectOptions;
    plsql: DialectOptions;
    postgresql: DialectOptions;
    redshift: DialectOptions;
    singlestoredb: DialectOptions;
    snowflake: DialectOptions;
    spark: DialectOptions;
    sql: DialectOptions;
    sqlite: DialectOptions;
    transactsql: DialectOptions;
    trino: DialectOptions;
    tsql: DialectOptions;
};
export declare type SqlLanguage = keyof typeof formatters;
export declare const supportedDialects: string[];
export interface FormatOptionsWithLanguage extends FormatOptions {
    language: SqlLanguage | DialectOptions;
}
/**
 * Format whitespace in a query to make it easier to read.
 *
 * @param {string} query - input SQL query string
 * @param {Partial<FormatOptionsWithLanguage>} cfg Configuration options (see docs in README)
 * @return {string} formatted query
 */
export declare const format: (query: string, cfg?: Partial<FormatOptionsWithLanguage>) => string;
export declare class ConfigError extends Error {
}
export declare type FormatFn = typeof format;
